#**********************************************************************#
#*                                                                    *#
#* Copyright (c) 2001 by Sun Microsystems, Inc.                       *#
#* All rights reserved.                                               *#
#*                                                                    *#
#**********************************************************************#

#
# ACCTSET
#
echo "Compiling ACCTSET.bms"
kixbms -a -c ACCTSET.bms

#
# acct00
#
echo "Translating acct00"
kixclt acct00.ccs
echo "compiling acct00.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o acct00.o acct00.c
ld -G -o acct00.so acct00.o 

#
# acct01
#
echo "Translating acct01"
kixclt acct01.ccs
echo "compiling acct01.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o acct01.o acct01.c
ld -G -o acct01.so acct01.o 

#
# acct02
#
echo "Translating acct02"
kixclt acct02.ccs
echo "compiling acct02.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o acct02.o acct02.c
ld -G -o acct02.so acct02.o 

#
# acct03
#
echo "Translating acct03"
kixclt acct03.ccs
echo "compiling acct03.c"
cc -Bdynamic -Kpic -c -Xt -I $UNIKIX/src/CICS_structures -o acct03.o acct03.c
ld -G -o acct03.so acct03.o 

rm -f acct00.c acct01.c acct02.c acct03.c 
rm -f acct00.o acct01.o acct02.o acct03.o
